Index: org/postgresql/jdbc1/AbstractJdbc1Connection.java
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/interfaces/jdbc/org/postgresql/jdbc1/AbstractJdbc1Connection.java,v
retrieving revision 1.20
diff -c -p -c -p -r1.20 AbstractJdbc1Connection.java
*** org/postgresql/jdbc1/AbstractJdbc1Connection.java	29 May 2003 21:44:47 -0000	1.20
--- org/postgresql/jdbc1/AbstractJdbc1Connection.java	17 Jun 2003 15:58:38 -0000
*************** public abstract class AbstractJdbc1Conne
*** 1740,1745 ****
--- 1740,1746 ----
  				"varchar", "text", "name", "filename",
  				"bytea",
  				"bool",
+ 				"bit",
  				"date",
  				"time",
  				"abstime", "timestamp", "timestamptz"
*************** public abstract class AbstractJdbc1Conne
*** 1763,1768 ****
--- 1764,1770 ----
  		Types.CHAR, Types.CHAR, Types.CHAR, Types.CHAR, Types.CHAR, Types.CHAR,
  		Types.VARCHAR, Types.VARCHAR, Types.VARCHAR, Types.VARCHAR,
  		Types.BINARY,
+ 		Types.BIT,
  		Types.BIT,
  		Types.DATE,
  		Types.TIME,
Index: org/postgresql/jdbc1/AbstractJdbc1Statement.java
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/interfaces/jdbc/org/postgresql/jdbc1/AbstractJdbc1Statement.java,v
retrieving revision 1.24
diff -c -p -c -p -r1.24 AbstractJdbc1Statement.java
*** org/postgresql/jdbc1/AbstractJdbc1Statement.java	29 May 2003 04:52:44 -0000	1.24
--- org/postgresql/jdbc1/AbstractJdbc1Statement.java	17 Jun 2003 15:58:38 -0000
*************** public abstract class AbstractJdbc1State
*** 1496,1501 ****
--- 1496,1505 ----
  				{
  					bind(parameterIndex, ((Boolean)x).booleanValue() ? "TRUE" : "FALSE", PG_TEXT);
  				}
+ 				else if (x instanceof Number)
+ 				{
+ 					bind(parameterIndex, ((Number)x).intValue()==1 ? "TRUE" : "FALSE", PG_TEXT);
+ 				}
  				else
  				{
  					throw new PSQLException("postgresql.prep.type");
Index: org/postgresql/jdbc2/AbstractJdbc2Connection.java
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/interfaces/jdbc/org/postgresql/jdbc2/AbstractJdbc2Connection.java,v
retrieving revision 1.5
diff -c -p -c -p -r1.5 AbstractJdbc2Connection.java
*** org/postgresql/jdbc2/AbstractJdbc2Connection.java	29 May 2003 04:39:48 -0000	1.5
--- org/postgresql/jdbc2/AbstractJdbc2Connection.java	17 Jun 2003 15:58:38 -0000
*************** public abstract class AbstractJdbc2Conne
*** 126,131 ****
--- 126,132 ----
  				"varchar", "text", "name", "filename",
  				"bytea",
  				"bool",
+ 				"bit",
  				"date",
  				"time",
  				"abstime", "timestamp", "timestamptz",
*************** public abstract class AbstractJdbc2Conne
*** 153,158 ****
--- 154,160 ----
  												Types.CHAR, Types.CHAR, Types.CHAR, Types.CHAR, Types.CHAR, Types.CHAR,
  												Types.VARCHAR, Types.VARCHAR, Types.VARCHAR, Types.VARCHAR,
  												Types.BINARY,
+ 												Types.BIT,
  												Types.BIT,
  												Types.DATE,
  												Types.TIME,
Index: org/postgresql/jdbc3/AbstractJdbc3Connection.java
===================================================================
RCS file: /projects/cvsroot/pgsql-server/src/interfaces/jdbc/org/postgresql/jdbc3/AbstractJdbc3Connection.java,v
retrieving revision 1.3
diff -c -p -c -p -r1.3 AbstractJdbc3Connection.java
*** org/postgresql/jdbc3/AbstractJdbc3Connection.java	7 May 2003 03:03:30 -0000	1.3
--- org/postgresql/jdbc3/AbstractJdbc3Connection.java	17 Jun 2003 15:58:38 -0000
*************** public abstract class AbstractJdbc3Conne
*** 415,420 ****
--- 415,421 ----
  				"varchar", "text", "name", "filename",
  				"bytea",
  				"bool",
+ 				"bit",
  				"date",
  				"time",
  				"abstime", "timestamp", "timestamptz",
*************** public abstract class AbstractJdbc3Conne
*** 442,447 ****
--- 443,449 ----
  			Types.CHAR, Types.CHAR, Types.CHAR, Types.CHAR, Types.CHAR, Types.CHAR,
  			Types.VARCHAR, Types.VARCHAR, Types.VARCHAR, Types.VARCHAR,
  			Types.BINARY,
+ 			Types.BIT,
  			Types.BIT,
  			Types.DATE,
  			Types.TIME,
